For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
          • Sales Rep
              • GETGet Super Admin's Assigned Companies
              • GETGet Super Admin's Current Masquerading Company
              • PUTBegin Super Admin Masquerade
              • PUTEnd Super Admin Masquerade
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontSales RepSuper Admin

Get Super Admin's Current Masquerading Company

GET
https://api-b2b.bigcommerce.com/api/v2/sales-reps/:superAdminId/companies/masquerading
GET
/api/v2/sales-reps/:superAdminId/companies/masquerading
$curl https://api-b2b.bigcommerce.com/api/v2/sales-reps/1/companies/masquerading \
> -H "Authorization: Bearer <token>"
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "companyName": "Great Buys, Inc.",
6 "companyId": "123456",
7 "extraFields": [
8 {
9 "fieldName": "Company Tax Code",
10 "fieldValue": "Tax Code G"
11 }
12 ],
13 "description": "Great Buys Sales",
14 "companyStatus": "1",
15 "addressLine1": "123 Test Street",
16 "addressLine2": "Building 1",
17 "city": "Austin",
18 "state": "Texas",
19 "zipCode": "78726",
20 "country": "United States",
21 "catalogId": "123456"
22 }
23}
Returns basic details for the Company the Super Admin is currently masquerading as. Equivalent Storefront GraphQL API Query: `superAdminMasquerading`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Get Super Admin's Assigned Companies

Next

Begin Super Admin Masquerade

Built with

Returns basic details for the Company the Super Admin is currently masquerading as.

Equivalent Storefront GraphQL API Query: superAdminMasquerading. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

superAdminIdintegerRequired

The unique numeric ID assigned to the Super Admin by B2B Edition. This ID does not match the BigCommerce customer account ID. To find the ID of a given Super Admin account, use the Server-to-Server Super Admin API.

Response

OK
codeintegerDefaults to 200
The HTTP Status code of the response.
messagestringDefaults to SUCCESS
Response message.
dataobject

Errors

403
Forbidden Error